- page_title _('Start a Free Ultimate Trial')
- add_page_specific_style 'page_bundles/signup'
- content_for :page_specific_javascripts do
  = render "layouts/google_tag_manager_head"
  = render "layouts/one_trust"
  = render "layouts/bizible"

- content_for :footer do
  = render 'devise/shared/minimal_footer'

= render "layouts/google_tag_manager_body"
- @body_class = 'marketing-background-gradient'

- content_for :omniauth_providers_top do
  .gl-pt-5.gl-max-w-75
    %label.gl-font-weight-normal
      = _('Sign up for your free trial with:')
    .gl-display-flex.gl-gap-3
      - popular_enabled_button_based_providers.each do |provider|
        = render 'devise/shared/signup_omniauth_provider_button',
          href: omniauth_authorize_path(:user, provider, register_omniauth_params(trial: true)),
          provider: provider,
          tracking_label: preregistration_tracking_label

  .gl-my-5.gl-font-weight-bold.gl-max-w-75
    = _('Or create your own GitLab account')

.row.marketing-styling
  .col-md-8.gl-display-flex.gl-flex-direction-column.gl-pl-120
    %h1.gl-mt-0
      - upper_tag = tag.span(class: 'gl-font-size-h2-xl')
      - lower_tag = tag.span(class: 'gl-display-block')
      = safe_format(s_('InProductMarketing|%{upper_start}Free 30-day trial%{upper_end} %{lower_start}GitLab Ultimate%{lower_end}'),
        tag_pair(upper_tag, :upper_start, :upper_end),
        tag_pair(lower_tag, :lower_start, :lower_end))

    .signup-box
      = render 'signup_box', tracking_label: preregistration_tracking_label

      .additional-links.gl-mt-6.gl-font-weight-bold
        = render 'devise/shared/sign_in_link',
          wrapper_class: '',
          tracking_action: 'click_sign_in_from_registration_page',
          tracking_label: preregistration_tracking_label

        %p
          = s_('InProductMarketing|Want to host GitLab on your servers?')
          = link_to s_('InProductMarketing|Start a Self-Managed trial'),
            'https://about.gitlab.com/free-trial/#selfmanaged/',
            data: { track_action: 'click_link', track_label: 'start_self-managed_trial' }

  .col-md-4.gl-lg-display-flex.gl-flex-direction-column.gl-mb-6.gl-align-items-center.gl-pr-8
    %div
      - ultimate_trial_value_props = [s_('InProductMarketing|Accelerate your digital transformation'),
      s_('InProductMarketing|Deliver software faster'),
      s_('InProductMarketing|Ensure compliance'),
      s_('InProductMarketing|Build in security'),
      s_('InProductMarketing|Improve collaboration and visibility')]

      %h2.gl-font-size-h2-xl.gl-font-weight-normal.gl-mb-6= s_('InProductMarketing|No credit card required.')

      %ul.gl-pl-0.gl-mb-7.gl-pl-0.gl-text-gray-800.check-mark-text
        - ultimate_trial_value_props.each do |value_prop|
          %li.gl-display-flex.gl-mb-3
            %span.gl-mr-3.text-brand-purple-02= sprite_icon 'check', css_class: 'gl-icon check-marks'
            = value_prop

      .gl-text-gray-800.gl-font-sm
        = s_('InProductMarketing|Trusted by')

      .gl-mt-5.gl-display-flex.gl-gap-6.gl-flex-wrap
        - TrialRegistrationsHelper::TRUSTED_BY_LOGOS.each do |logo|
          .gl-display-flex.gl-align-items-center
            = image_tag(logo[:path], alt: logo[:alt], title: logo[:title], width: 100)

